Bug 738057 - Review Request: semantik - mind mapping tool
Summary: Review Request: semantik - mind mapping tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 731535 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 18:27 UTC by Gregor Tätzner
Modified: 2011-10-05 03:56 UTC (History)
3 users (show)

Fixed In Version: semantik-0.7.3-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 21:15:41 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 731535 None None None Never

Internal Links: 731535

Description Gregor Tätzner 2011-09-13 18:27:43 UTC
Spec URL: http://dl.dropbox.com/u/4023668/semantik.spec
SRPM URL: http://dl.dropbox.com/u/4023668/semantik-0.7.3-2.fc15.src.rpm
Description: Semantik (previously Kdissert) is a mind mapping tool to help students
to produce complicated documents very quickly and efficiently :
presentations, dissertations, thesis, reports. While targeted mostly at
students, Kdissert can also help teachers, decision maker, engineers and
businessmen. 

Hi, this is my second review request. A special thank goes to rdieter, he initially created the package and helped me out!
https://bugzilla.redhat.com/show_bug.cgi?id=731535

rpmlint RPMS/x86_64/semantik-0.7.3-2.fc15.x86_64.rpm 
semantik.x86_64: W: no-soname /usr/lib64/libnablah.so
semantik.x86_64: W: no-manual-page-for-binary semantik
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

I think the library thing is a problem. the wiki page 'Common rpmlint issues' wasn't very helpful.

Comment 1 Rex Dieter 2011-09-14 17:16:42 UTC
*** Bug 731535 has been marked as a duplicate of this bug. ***

Comment 2 Rex Dieter 2011-09-22 11:51:31 UTC
I can review

Comment 3 Rex Dieter 2011-09-23 16:30:34 UTC
$ rpmlint semantik
semantik.x86_64: W: no-soname /usr/lib64/libnablah.so
semantik.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnablah.so /usr/lib64/libQtCore.so.4
semantik.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnablah.so /usr/lib64/libQtGui.so.4
semantik.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnablah.so /usr/lib64/libQtWebKit.so.4
semantik.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnablah.so /usr/lib64/libQtNetwork.so.4
semantik.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnablah.so /usr/lib64/libstdc++.so.6
semantik.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnablah.so /lib64/libm.so.6
semantik.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnablah.so /lib64/libgcc_s.so.1
semantik.x86_64: W: no-manual-page-for-binary semantik
1 packages and 0 specfiles checked; 0 errors, 9 warnings.

Mostly harmless here. libnablah.so in particular seems to be a convenience library, so no soname isn't much of an issue.

naming: OK

sources: OK
$ md5sum *.bz2
0eb6f38b56390815e33e11505eb85ee2  semantik-0.7.3.tar.bz2

licensing: OK

scriptlets: OK

macros: OK

no issues.

APPROVED.


What's your FAS username?  Given that, I'll get the sponsor-ball rolling.


lastly, I'd urge you to contact upstream developers about the patches used here, the desktop file and ocaml compatibility in particular.

Comment 4 Gregor Tätzner 2011-09-23 18:42:02 UTC
(In reply to comment #3)
> What's your FAS username?  Given that, I'll get the sponsor-ball rolling.
Cool, my fas username is brummbq
>
> lastly, I'd urge you to contact upstream developers about the patches used
> here, the desktop file and ocaml compatibility in particular.
will do!

Comment 5 Gregor Tätzner 2011-09-24 08:21:33 UTC
New Package SCM Request
=======================
Package Name: semantik
Short Description: mind mapping tool
Owners: brummbq
Branches: f14 f15 f16
InitialCC:

Comment 6 Gregor Tätzner 2011-09-24 09:38:07 UTC
(In reply to comment #3)
> lastly, I'd urge you to contact upstream developers about the patches used
> here, the desktop file and ocaml compatibility in particular.

done, desktop file patch submitted. ocaml linkflags already fixed in trunk

Comment 7 Gwyn Ciesla 2011-09-24 15:52:21 UTC
Review flag isn't set to +.

Comment 8 Rex Dieter 2011-09-24 16:18:55 UTC
Oops, sorry.  My bad.  Fixed now.

Comment 9 Gwyn Ciesla 2011-09-25 20:30:32 UTC
Git done (by process-git-requests).

Worries, thanks!

Comment 10 Fedora Update System 2011-09-26 09:01:05 UTC
semantik-0.7.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/semantik-0.7.3-2.fc14

Comment 11 Fedora Update System 2011-09-26 09:11:42 UTC
semantik-0.7.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/semantik-0.7.3-2.fc16

Comment 12 Fedora Update System 2011-09-26 10:05:36 UTC
semantik-0.7.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/semantik-0.7.3-2.fc15

Comment 13 Fedora Update System 2011-09-26 16:47:35 UTC
semantik-0.7.3-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 14 Fedora Update System 2011-10-04 21:15:35 UTC
semantik-0.7.3-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2011-10-05 03:52:24 UTC
semantik-0.7.3-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 16 Fedora Update System 2011-10-05 03:56:48 UTC
semantik-0.7.3-2.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.